--Load our Library :) 
local L3D = require('/libs/L3D/l3d')

--Some tables to store our model in
Verts = {}
Indcs = {}
Mat = {}

--The Rotation is stored here
rot_y = 0

function love.load()
	
	--Let's set the mode (Mainly so I know how big the screen is
	love.graphics.setMode(640, 480, false, true, 0)
	
	--Set the screen width, height and field of view
	L3DSetup(640, 480, 256)
	
	--Load an object into the tables Verts, Indcs and Mat (Vertices, Indices, and material)
	Verts, Indcs, Mat = L3DLoadObj("Road.obj")
end

function love.update(dt)

	--Let's see the FPS
	love.graphics.setCaption("FPS: " .. tostring(love.timer.getFPS()))
end

function love.draw()

	--Reset Rotations and Translations
	L3DLoadIdentity()
	
	--Rotate the Y axis by rot_y
	L3DRotate(rot_y, 0, 0)
	
	--Translate on the Z axis by 20 units
	L3DTranslate(0, 0, 25)
	
	--Draw the .obj we loaded
	L3DDraw(Verts, Indcs, Mat, L3DDiffuse)
	
	--This will get how many materials are loaded
	love.graphics.print(#Mat .. " Materials", 0, 0)
	
	--This will show the names of all the materials that are loaded
	for a = 1, #Mat do
		love.graphics.print(Mat[a].ID, 0, a * 12)
	end
	
	rot_y = rot_y + 0.01
end